---
lang: en
title: 'API docs: typeorm.typeormlifecyclemanager'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/extensions/typeorm
permalink: /doc/en/lb4/apidocs.typeorm.typeormlifecyclemanager.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/typeorm](./typeorm.md) &gt; [TypeOrmLifeCycleManager](./typeorm.typeormlifecyclemanager.md)

## TypeOrmLifeCycleManager class

<b>Signature:</b>

```typescript
export declare class TypeOrmLifeCycleManager implements LifeCycleObserver 
```
<b>Implements:</b> [LifeCycleObserver](./core.lifecycleobserver.md)

## Constructors

|  Constructor | Modifiers | Description |
|  --- | --- | --- |
|  [(constructor)(manager)](./typeorm.typeormlifecyclemanager._constructor_.md) |  | Constructs a new instance of the <code>TypeOrmLifeCycleManager</code> class |

## Methods

|  Method | Modifiers | Description |
|  --- | --- | --- |
|  [start()](./typeorm.typeormlifecyclemanager.start.md) |  |  |
|  [stop()](./typeorm.typeormlifecyclemanager.stop.md) |  |  |


